GTPADAPTER(1)

NAME
gtpadapter - Go Text Protocol adapter for logging or protocol translations.

SYNOPSIS

gtpadapter [-config file] [-emuhandicap] [-emuloadsgf] [-fillpasses] [-gtpfile file] [-log file] [-lowercase] [-name name] [-noscore] [-resign score] [-size n] [-verbose] [-version1]

gtpadapter -help

gtpadapter -version

DESCRIPTION

Go Text Protocol adapter for logging or protocol translations. The argument program is a command line for the Go program .

OPTIONS

-config file
    Read command line options and arguments from file.

-emuhandicap
    Emulate the commands set_free_handicap and place_free_handicap by using standard fixed handicap locations (if existing) and sending the stones to the program using play commands.

-emuloadsgf
    Emulate the command loadsgf by play commands.

-fillpasses
    Fill non-alternating moves with pass moves (for programs that can only handle move sequences with alternating color).

-gtpfile file
    Send GTP commands from file to program at startup.

-help
    Display help and exit.

-log file
    Log the GTP stream to a file (the stream of the adapter program, not the one from the adapter to the Go program).

-lowercase
    Translate move commands to lower-case. The GTP standards requires case-insensitive parsing of moves, but some programs can handle only lower-case.

-name name
    Name used for answering the name command. If the name contains a colon, the part after the colon is interpreted as a version and used for answering the version command.

-noscore
    Hide the final_score and final_status_list commands, even if the program supports them.

-resign score
    Send an estimate_score to the program before each genmove command and resign, if the estimation is below the given score (to the disadvantage of the side to move).

-size n
    Only accept this board size, even if the program accepts other sizes.

-verbose
    Print the GTP stream from the adapter to the Go program to standard error.

-version
    Print version and exit.

-version1
    Sets, whether GtpAdapter reports protocol version 1 in response to the protocol_version command. GtpAdapter can handle both versions of the commands for playing moves, generating moves, and starting a new game; it will translate them correctly to the GTP version of the Go program.

GTP EXTENSIONS

gtpadapter_showboard
    Show the internal Go board. This is different from the showboard command, which is forwarded to the Go program, if it supports it.